summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--acknowledgements.tex20
-rw-r--r--introduction.tex4
-rwxr-xr-xmake-setup-generated.sh44
-rwxr-xr-xmakehtml.sh1
-rwxr-xr-xmakepdf.sh1
-rw-r--r--specvars.tex31
6 files changed, 66 insertions, 35 deletions
diff --git a/acknowledgements.tex b/acknowledgements.tex
index 3e22de2..fb2fc76 100644
--- a/acknowledgements.tex
+++ b/acknowledgements.tex
@@ -6,5 +6,23 @@
The following individuals have participated in the creation of this specification and are gratefully acknowledged:
\begin{oasistitlesection}{Participants}
- [ Participant Name, Affiliation | Individual Member ] \newline
+Amit Shah, Red Hat \newline
+Amos Kong, Red Hat \newline
+Anthony Liguori, IBM \newline
+Bruce Rogers, Novell \newline
+Bryan Venteicher, NetApp \newline
+Cornelia Huck, IBM \newline
+Daniel Kiper, Oracle \newline
+Geoff Brown, Machine-to-Machine Intelligence (M2MI) Corporation \newline
+Gershon Janssen, Individual Member \newline
+James Bottomley, Parallels IP Holdings GmbH \newline
+Luiz Capitulino, Red Hat \newline
+Michael Tsirkin, Red Hat \newline
+Paolo Bonzini, Red Hat \newline
+Pawel Moll, ARM Limited \newline
+Rusty Russell, IBM \newline
+Sasha Levin, Oracle \newline
+Sergey Tverdyshev, Thales e-Security \newline
+Stefan Hajnoczi, Red Hat \newline
+Tom Lyon, Samya Systems, Inc. \newline
\end{oasistitlesection}
diff --git a/introduction.tex b/introduction.tex
index 60846b9..5ac71b2 100644
--- a/introduction.tex
+++ b/introduction.tex
@@ -44,9 +44,5 @@ The key words "MUST", "MUST NOT", "REQUIRED", "SHALL", "SHALL NOT", "SHOULD", "S
\phantomsection\label{intro:S390 Common I/O}\textbf{[S390 Common I/O]} & ESA/390 Common I/O-Device and Self-Description, \newline IBM Publication SA22-7204\\
\end{longtable}
-
-\section{Non-Normative References}
-
-
\newpage
diff --git a/make-setup-generated.sh b/make-setup-generated.sh
new file mode 100755
index 0000000..eedc745
--- /dev/null
+++ b/make-setup-generated.sh
@@ -0,0 +1,44 @@
+#! /bin/sh
+
+case "$1" in
+ *-wd*)
+ STAGE=wd
+ STAGENAME="Working Draft"
+ WORKINGDRAFT=`basename "$1" | sed 's/.*-wd//'`
+ ;;
+ *-os*)
+ STAGE=os
+ STAGENAME="OASIS Standard"
+ WORKINGDRAFT=""
+ ;;
+ *-csd*)
+ STAGE=csd
+ STAGENAME="Committee Specification Draft"
+ WORKINGDRAFT=`basename "$1" | sed 's/.*-csd//'`
+ ;;
+ *-csprd*)
+ STAGE=csprd
+ STAGENAME="Committee Specification Public Review Draft"
+ WORKINGDRAFT=`basename "$1" | sed 's/.*-csprd//'`
+ ;;
+ *-cs*)
+ STAGE=cs
+ STAGENAME="Committee Specification"
+ WORKINGDRAFT=""
+ ;;
+ *)
+ echo Unknown doc type >&2
+ exit 1
+esac
+
+VERSION=1.0
+ISODATE=`git show --format=format:'%cd' --date=iso | head -n 1`
+DATESTR=`date -d "$DATE" +'%d %b %Y'`
+cat > setup-generated.tex <<EOF
+% define VIRTIO Working Draft number and date
+\newcommand{\virtiorev}{$VERSION}
+\newcommand{\virtioworkingdraftdate}{$DATESTR}
+\newcommand{\virtioworkingdraft}{$WORKINGDRAFT}
+\newcommand{\virtiodraftstage}{$STAGE}
+\newcommand{\virtiodraftstagename}{$STAGENAME}
+EOF
diff --git a/makehtml.sh b/makehtml.sh
index bb82703..bc720be 100755
--- a/makehtml.sh
+++ b/makehtml.sh
@@ -1,6 +1,7 @@
#!/bin/sh
SPECDOC=${SPECDOC:-virtio-v1.0-csd01}
+./make-setup-generated.sh "$SPECDOC"
cp virtio-html.tex $SPECDOC.tex
diff --git a/makepdf.sh b/makepdf.sh
index 0e2a8f2..b64c85c 100755
--- a/makepdf.sh
+++ b/makepdf.sh
@@ -1,6 +1,7 @@
#!/bin/sh
SPECDOC=${SPECDOC:-virtio-v1.0-csd01}
+./make-setup-generated.sh "$SPECDOC"
rm $SPECDOC.aux $SPECDOC.pdf
xelatex --jobname $SPECDOC virtio.tex
diff --git a/specvars.tex b/specvars.tex
index d166311..4b265e8 100644
--- a/specvars.tex
+++ b/specvars.tex
@@ -1,33 +1,4 @@
-% define VIRTIO Working Draft number and date
-\newcommand{\virtiorev}{1.0}
-\newcommand{\virtioworkingdraftdate}{05 Nov 2013}
-\newcommand{\virtioworkingdraft}{01}
-\newcommand{\virtiodraftstage}{wd}
-\newcommand{\virtiodraftstagename}{Working Draft}
-% Detect current stage and version based on document name
-\IfSubStr{\jobname}{-wd}{
-\renewcommand{\virtioworkingdraft}{\StrBehind{\jobname}{-wd}}
-}
-\IfSubStr{\jobname}{-os}{
-\renewcommand{\virtiodraftstage}{os}
-\renewcommand{\virtiodraftstagename}{OASIS Standard}
-\newcommand{\virtioworkingdraft}{}
-}
-\IfSubStr{\jobname}{-cs}{
-\renewcommand{\virtiodraftstage}{cs}
-\renewcommand{\virtiodraftstagename}{Committee Specification}
-\renewcommand{\virtioworkingdraft}{}
-}
-\IfSubStr{\jobname}{-csd}{
-\renewcommand{\virtiodraftstage}{csd}
-\renewcommand{\virtiodraftstagename}{Committee Specification Draft}
-\renewcommand{\virtioworkingdraft}{\StrBehind{\jobname}{-csd}}
-}
-\IfSubStr{\jobname}{-csprd}{
-\renewcommand{\virtiodraftstage}{csprd}
-\renewcommand{\virtiodraftstagename}{Committee Specification Public Review Draft}
-\renewcommand{\virtioworkingdraft}{\StrBehind{\jobname}{-csprd}}
-}
+\input{setup-generated.tex}
\newcommand{\virtioversion}{Virtual I/O Device (VIRTIO) Version \virtiorev}
\newcommand{\virtiospecfile}{virtio-v\virtiorev-\virtiodraftstage\virtioworkingdraft}
\newcommand{\virtiourlbase}{http://docs.oasis-open.org/virtio/virtio/v\virtiorev/\virtiodraftstage\virtioworkingdraft}